<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

if ( ! function_exists('punktacja'))
{
	function punktacja($formularz = NULL)
	{
		if($formularz == NULL) return 0;
		$punkty = 0;
		if(strstr($formularz->stypendia_pyt_3, 'c. często rozmawiam ze współpasażerami') != FALSE) $punkty++;
		if(strstr($formularz->stypendia_pyt_3, 'd. obserwuję krajobraz za szybą') != FALSE) $punkty++;
		
		if(strstr($formularz->stypendia_pyt_4, 'a. w wyjazdach i wycieczkach klasowych') != FALSE) $punkty++;
		if(strstr($formularz->stypendia_pyt_4, 'd. akademiach i przedstawieniach szkolnych') != FALSE) $punkty++;
		
		if(strstr($formularz->stypendia_pyt_5, 'a. często korzystam z mapy aby nie zabłądzić') != FALSE) $punkty++;
		if(strstr($formularz->stypendia_pyt_5, 'c. kiedy zabłądzę pytam o drogę inne osoby') != FALSE) $punkty++;
		
		if(strstr($formularz->stypendia_pyt_6, 'b. przyjaciół') != FALSE) $punkty++;
		if(strstr($formularz->stypendia_pyt_6, 'c. psa lub kota (albo innego zwierzątka)') != FALSE) $punkty++;
		
		if(strstr($formularz->stypendia_pyt_7, 'a. bronię własnego zdania z uporem') != FALSE) $punkty++;
		if(strstr($formularz->stypendia_pyt_7, 'b. zawsze mam wiele pomysłów, ale zachowuję je dla siebie, najlepiej nic nie mówić') != FALSE) $punkty++;
		
		if(strstr($formularz->stypendia_pyt_8, 'b. to jest osoba otwarta i tolerancyjna') != FALSE) $punkty++;
		if(strstr($formularz->stypendia_pyt_8, 'c. to jest osoba samodzielna i niezależna') != FALSE) $punkty++;
		
		if(strstr($formularz->stypendia_pyt_9, 'b. miała podobne pasje, co ja') != FALSE) $punkty++;
		if(strstr($formularz->stypendia_pyt_9, 'd. może być ode mnie zupełnie różna') != FALSE) $punkty++;
		
		if(strstr($formularz->stypendia_pyt_10, 'a. Wiele czasu poświęcam swoim pasjom i zainteresowaniom.') != FALSE) $punkty++;
		if(strstr($formularz->stypendia_pyt_10, 'd. Dużo czasu spędzam marząc i fantazjując.') != FALSE) $punkty++;
		if(strstr($formularz->stypendia_pyt_10, 'g. Dobrze czuję się w sytuacjach, gdy nie mam jasnego planu działania.') != FALSE) $punkty++;
		if(strstr($formularz->stypendia_pyt_10, 'h. Dobrze czuję się z ludźmi, których zachowanie jest dla mnie nieprzewidywalne.') != FALSE) $punkty++;
		if(strstr($formularz->stypendia_pyt_10, 'i. Robię to, co uważam za stosowne, nawet jeśli innym to się nie podoba.') != FALSE) $punkty++;
		
		if(strstr($formularz->stypendia_pyt_11, 'b. przypominam sobie wcześniejsze sytuacje, w których udało mi się pokonać podobne trudności') != FALSE) $punkty++;
		if(strstr($formularz->stypendia_pyt_11, 'd. zastanawiam się, co mogę zrobić, by je pokonać') != FALSE) $punkty++;
		
		if(strstr($formularz->stypendia_pyt_12, 'b. przerywam nauczycielowi komentując wykład') != FALSE) $punkty++;
		if(strstr($formularz->stypendia_pyt_12, 'd. zadaję zbyt wiele pytań') != FALSE) $punkty++;
		
		if(strstr($formularz->stypendia_pyt_13, 'a. podręczników szkolnych') != FALSE) $punkty++;
		if(strstr($formularz->stypendia_pyt_13, 'b. dodatkowych książek, np. wypożyczonych z biblioteki') != FALSE) $punkty++;
		
		if(strstr($formularz->stypendia_pyt_14, 'b. słucham i próbuję wyciągnąć i zanotować główne myśli') != FALSE) $punkty++;
		if(strstr($formularz->stypendia_pyt_14, 'd. tylko słucham bo materiał jest w książce') != FALSE) $punkty++;
		
		if(strstr($formularz->stypendia_pyt_15, 'b. nowe doświadczenia') != FALSE) $punkty++;
		if(strstr($formularz->stypendia_pyt_15, 'd. zdobywanie nowych umiejętności') != FALSE) $punkty++;
		
		if(strstr($formularz->stypendia_pyt_16, 'c. zdecydowanie podróż do celu...') != FALSE) $punkty++;
		
		if(strstr($formularz->stypendia_pyt_17, 'a. rodzice') != FALSE) $punkty++;
		if(strstr($formularz->stypendia_pyt_17, 'c. artyści, muzycy, sportowcy') != FALSE) $punkty++;
		if(strstr($formularz->stypendia_pyt_17, 'd. naukowcy, odkrywcy') != FALSE) $punkty++;
		
		if(strstr($formularz->stypendia_pyt_18, 'b. oryginalność poglądów') != FALSE) $punkty++;
		if(strstr($formularz->stypendia_pyt_18, 'f. bycie ekspertem w danej dziedzinie') != FALSE) $punkty++;
		if(strstr($formularz->stypendia_pyt_18, 'h. dociekliwość') != FALSE) $punkty++;
		
		if(strstr($formularz->stypendia_pyt_19, 'a. tolerancyjność i szacunek wobec innych') != FALSE) $punkty++;
		if(strstr($formularz->stypendia_pyt_19, 'g. poczucie humoru') != FALSE) $punkty++;
		if(strstr($formularz->stypendia_pyt_19, 'h. niezależność') != FALSE) $punkty++;
		
		if(strstr($formularz->stypendia_pyt_20, 'g. empatyczny') != FALSE) $punkty++;
		if(strstr($formularz->stypendia_pyt_20, 'h. niekonwencjonalny') != FALSE) $punkty++;
		if(strstr($formularz->stypendia_pyt_20, 'i. odważny') != FALSE) $punkty++;
		
		if($formularz->stypendia_pyt_21a != '') $punkty++;
		if($formularz->stypendia_pyt_21b != '') $punkty++;
		/*
		 * if(strstr($formularz->stypendia_pyt_3, 'c. często rozmawiam ze współpasażerami') != FALSE) $punkty++;
		 */
		
		return $punkty;
	}
}

/* Location: ./system/helpers/url_helper.php */